Announcement

Collapse
No announcement yet.

windows 10 users

Collapse
X
  • Filter
  • Time
  • Show
Clear All
new posts

  • [INFO] windows 10 users

    Notice:

    Windows 10 users:

    Star Citizen requires legacy software as of the moment. Legacy pieces are not installed normally with Windows 10 so some people will need to make sure they install the proper software before playing.

    Dx9 through Dx11 are needed.
    Install Netframework 2.0 and above
    Old versions of Visual

Connect

Collapse

TeamSpeak 3 Server

Collapse

Twitter Feed

Collapse

Working...
X